Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.impl
Class SdStockVariableImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.sd.impl.SdNamedElementImpl
                      org.eclipse.amp.amf.sd.impl.SdGeneratableImpl
                          org.eclipse.amp.amf.sd.impl.SdAbstractVariableImpl
                              org.eclipse.amp.amf.sd.impl.SdStockVariableImpl

All Implemented Interfaces:
  SdAbstractVariable, SdGeneratable, SdNamedElement, SdStockVariable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SdStockVariableImpl

extends SdAbstractVariableImpl
implements SdStockVariable

An implementation of the model object 'Stock Variable'.

The following features are implemented:

- `Integral`
- `Initial Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` | `INITIAL_VALUE_EDEFAULT` The default value of the '`Initial Value`' attribute.
`protected java.lang.String` | `initialValue` The cached value of the '`Initial Value`' attribute.
`protected java.lang.String` | `integral` The cached value of the '`Integral`' attribute.
`protected static java.lang.String` | `INTEGRAL_EDEFAULT` The default value of the '`Integral`' attribute.

Fields inherited from class org.eclipse.amp.amf.sd.impl.SdAbstractVariableImpl
`toElement`

Fields inherited from class org.eclipse.amp.amf.sd.impl.SdNamedElementImpl
`comment, COMMENT_EDEFAULT, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SdStockVariableImpl()`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getInitialValue()`
`java.lang.String` | `getIntegral()`
`void` | `setInitialValue(java.lang.String newInitialValue)`
`void` | `setIntegral(java.lang.String newIntegral)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.amp.amf.sd.impl.SdAbstractVariableImpl
`basicSetParent, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getParent, getToElement, setParent`

Methods inherited from class org.eclipse.amp.amf.sd.impl.SdNamedElementImpl
`getComment, getName, setComment, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.amf.sd.SdAbstractVariable
`getParent, getToElement, setParent`

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### INTEGRAL_EDEFAULT

    protected static final java.lang.String INTEGRAL_EDEFAULT

  The default value of the '`Integral`' attribute.

  See Also:
    `getIntegral()`, Constant Field Values

### integral

    protected java.lang.String integral

  The cached value of the '`Integral`' attribute.

  See Also:
    `getIntegral()`

### INITIAL_VALUE_EDEFAULT

    protected static final java.lang.String INITIAL_VALUE_EDEFAULT

  The default value of the '`Initial Value`' attribute.

  See Also:
    `getInitialValue()`, Constant Field Values

### initialValue

    protected java.lang.String initialValue

  The cached value of the '`Initial Value`' attribute.

  See Also:
    `getInitialValue()`

Constructor Detail

### SdStockVariableImpl

    protected SdStockVariableImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SdAbstractVariableImpl`

### getIntegral

    public java.lang.String getIntegral()

  Specified by:
    `getIntegral` in interface `SdStockVariable`
  Returns:
    the value of the 'Integral' attribute.
  See Also:
    `SdStockVariable.setIntegral(String)`, `SdPackage.getSdStockVariable_Integral()`

### setIntegral

    public void setIntegral(java.lang.String newIntegral)

  Specified by:
    `setIntegral` in interface `SdStockVariable`
  Parameters:
    `newIntegral` - the new value of the 'Integral' attribute.
  See Also:
    `SdStockVariable.getIntegral()`

### getInitialValue

    public java.lang.String getInitialValue()

  Specified by:
    `getInitialValue` in interface `SdStockVariable`
  Returns:
    the value of the 'Initial Value' attribute.
  See Also:
    `SdStockVariable.setInitialValue(String)`, `SdPackage.getSdStockVariable_InitialValue()`

### setInitialValue

    public void setInitialValue(java.lang.String newInitialValue)

  Specified by:
    `setInitialValue` in interface `SdStockVariable`
  Parameters:
    `newInitialValue` - the new value of the 'Initial Value' attribute.
  See Also:
    `SdStockVariable.getInitialValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SdAbstractVariableImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SdAbstractVariableImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SdAbstractVariableImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SdAbstractVariableImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SdNamedElementImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD